Subject: bug#57309: 29.0.50; Build error "trying to dump non fixed-up eln file"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Aug 2022 13:13:40 +0300

> Cc: [email-masked], Andrea Corallo <[email-masked]>
> From: Gerd Möllmann <[email-masked]>
> Date: Sun, 21 Aug 2022 10:50:11 +0200
> 
> So, I think what happens here is this:
> 
> Window.eln's compilation unit gets dumped normally the first time
> around.  But it also is put on the dump_context::dump_queue for some
> reason.  Add when the queue is processed, boom...
> 
> Hm again.

I've removed src/emacs and src/bootstrap-emacs, and said "make".  That
succeeded, but most of the preloaded files were loaded as *.elc.  Then
I touch'ed every .el file that is preloaded, and said "make" again.
This ELC+ELN-compiled all of them, and then successfully loaded and
dumped them.

Not sure what that means, but maybe try the same recipe?